<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Termine\TermineSammelAenderung;

class TermineSammelAenderungController extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TermineSammelAenderung\TermineSammelAenderungController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TermineSammelAenderungUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TermineSammelAenderungPresenter($pUseCaseResponse);
  }
}